Bug 8316 - [i965] GLX app abort with the error:bufmgr_fake.c:1245: bmReleaseBuffers: Assertion `intel->locked' failed
Summary: [i965] GLX app abort with the error:bufmgr_fake.c:1245: bmReleaseBuffers: Ass...
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Eric Anholt
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-17 19:36 UTC by veelion (inactive account)
Modified: 2009-08-24 12:24 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
xorg log (66.40 KB, text/plain)
2006-09-17 19:37 UTC, veelion (inactive account)
Details
xorg.conf (2.89 KB, text/plain)
2006-09-17 19:38 UTC, veelion (inactive account)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description veelion (inactive account) 2006-09-17 19:36:59 UTC
platform: G965
OS: FC5 ia32
kernel: 2.6.17.7
Xorg: 7.1

glean can't run because the error on console,
-----------------
glean: bufmgr_fake.c:1245: bmReleaseBuffers: Assertion `intel->locked' failed.
Aborted
-----------------
this error appeared both on 32-bit and 64-bit machines, but glean can run well 
with the old driver, such as on date of 2006-09-08 in the CVS.
Comment 1 veelion (inactive account) 2006-09-17 19:37:42 UTC
Created attachment 7037 [details]
xorg log
Comment 2 veelion (inactive account) 2006-09-17 19:38:01 UTC
Created attachment 7038 [details]
xorg.conf
Comment 3 Gordon Jin 2006-09-20 02:12:10 UTC
glxinfo also abort with the error:
glxinfo: bufmgr_fake.c:1245: bmReleaseBuffers: Assertion `intel->locked' 
failed.
Aborted
Comment 4 Gordon Jin 2006-09-20 20:20:12 UTC
fixed in last night's mesa CVS: below code is removed from bmReleaseBuffers():
  assert(intel->locked); 
Comment 5 ajax at nwnk dot net 2009-08-24 12:24:29 UTC
Mass version move, cvs -> git


bug/show.html.tmpl processed on Sep 30, 2016 at 13:34:14.
(provided by the Example extension).